* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    padding: 0;
    margin: 0;
    font-family: 'Josefin Sans', sans-serif;
}

.hide {
    display: none !important;
    visibility: hidden;
    opacity: 0;
}

ul {
    list-style: none;
}

img {
    width: 100%;
}

span.check {
    width: 26px;
    height: 26px;
    background-color: transparent;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: ease-in-out all .3s;
}

span.check img {
    width: 15px;
}

span.check.active {}

span.check:hover {
    cursor: pointer;
}

header picture img {
    width: 100%;
    height: 300px;
}

section {
    width: 60%;
    left: 50%;
    transform: translateX(-50%) translateY(-200px);
    position: relative;
    display: grid;
    justify-content: stretch;
    align-items: center;
    gap: 30px;
}

section .head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

section .head span {
    font-size: 40px;
    letter-spacing: 3px;
    text-transform: uppercase;
}

section .head .icon img {
    width: 100%;
}

section .head .icon:hover {
    cursor: pointer;
}

section form {
    position: relative;
    border-radius: 6px;
    display: flex;
    justify-content: stretch;
    align-items: center;
}

section form button {
    position: absolute;
    left: 20px;
    outline: none;
    border: none;
    display: flex;
    width: fit-content;
    height: fit-content;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    top: 50%;
    transform: translateY(-50%);
}

section form input {
    outline: none;
    border: none;
    border-radius: 6px;
    padding: 16px;
    padding-left: 60px;
    font-size: 22px;
    width: 100%;
}

section form input:focus {
    color: #333;
}

section .content {
    border-radius: 6px;
    display: grid;
    align-items: center;
    justify-content: stretch;
}

section .content .lists {
    display: grid;
    align-items: center;
    justify-content: stretch;
    word-break: break-all;
}

section .content .lists li {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

section .content .lists li .task {
    display: grid;
    grid-template-columns: auto 1fr auto;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}

section .content .lists li .task span {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 25px;
}

section .content .lists li .icon {
    opacity: 0;
    transition: ease-in-out all .3s;
    padding: 5px;
}

section .content .lists li .icon:hover,
section .content .lists li:hover .icon {
    cursor: pointer;
    opacity: 1;
}

section .content .lists li .task span.do {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}

section .content .lists li .task span.do:hover {
    cursor: pointer;
}

section .content .lists li .task span.do.line {
    text-decoration: line-through;
}

section .content .lists li:hover {
    cursor: pointer;
}

section .content .foot {
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: space-between;
    padding: 20px;
    font-size: 20px;
}

section .content .foot ul {
    display: flex;
    justify-content: center;
    transition: ease-in-out all .3s;
    align-items: center;
    gap: 15px;
}

section .content .foot ul li {
    transition: ease-in-out all .3s;
}

section .content .foot ul li:hover,
section .content .foot .clear:hover {
    cursor: pointer;
}

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateY(-100px);
    font-size: 20px;
}

@media (max-width:992px) {
    span.check {
        width: 24px;
        height: 24px;
    }
    span.check i {
        font-size: 10px;
    }
    span.check img {
        width: 12px;
    }
    header picture img {
        height: 300px;
    }
    section {
        width: 60%;
        transform: translateX(-50%) translateY(-220px);
        gap: 25px;
    }
    section .head {
        gap: 15px;
    }
    section .head span {
        font-size: 35px;
        letter-spacing: 2px;
    }
    section form {
        border-radius: 5px;
    }
    section form button {
        left: 16px;
    }
    section form input {
        border-radius: 5px;
        padding: 18px;
        padding-left: 50px;
        font-size: 20px;
    }
    section .content {
        border-radius: 5px;
    }
    section .content .lists li {
        padding: 16px;
    }
    section .content .lists li .task {
        gap: 15px;
    }
    section .content .lists li .task span {
        font-size: 22px;
    }
    section .content .lists li .icon {
        padding: 4px;
    }
    section .content .foot {
        gap: 16px;
        padding: 18px;
        font-size: 20px;
    }
    section .content .foot ul {
        position: absolute;
        bottom: -85px;
        background-color: #fff;
        box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
        border-radius: 5px;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
        padding: 18px;
        gap: 30px;
    }
    footer {
        transform: translateY(-50px);
        font-size: 18px;
    }
}

@media (max-width:768px) {
    span.check {
        width: 22px;
        height: 22px;
    }
    span.check i {
        font-size: 8px;
    }
    span.check img {
        width: 10px;
    }
    header picture img {
        height: 350px;
    }
    section {
        width: 80%;
        transform: translateX(-50%) translateY(-240px);
        gap: 20px;
    }
    section .head {
        gap: 10px;
    }
    section .head span {
        font-size: 30px;
    }
    section form {
        border-radius: 4px;
    }
    section form button {
        left: 12px;
    }
    section form input {
        border-radius: 4px;
        padding: 16px;
        padding-left: 50px;
        font-size: 18px;
    }
    section .content {
        border-radius: 4px;
    }
    section .content .lists li {
        padding: 12px;
    }
    section .content .lists li .task {
        gap: 10px;
    }
    section .content .lists li .task span {
        font-size: 20px;
    }
    section .content .lists li .icon {
        padding: 3px;
    }
    section .content .foot {
        gap: 12px;
        padding: 18px;
        font-size: 18px;
    }
    section .content .foot ul {
        bottom: -75px;
        border-radius: 4px;
        padding: 16px;
        gap: 20px;
    }
    footer {
        font-size: 16px;
    }
}